@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;400;700&display=swap');

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body{
        background:url('https://images.unsplash.com/photo-1621274403997-37aace184f49?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1');
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden;
    height: 100vh;
    font-family: "Poppins",sans-serif;
}

.container{
    padding: 20px 70px;
    color: #fff;
}

.current-info{
display: flex;
justify-content: space-between;
flex-wrap: wrap;
}

.date-container{
     font-weight: 100;
}
.date-container .time{
    font-size: 70px;
   
}

.date-container #am-pm{
    font-size: 30px;
    margin-left: 20px;
}

.date-container .date{
    font-size: 30px;
}

.date-container{
    text-align: end;
}

.place-container .time-zone{
    font-size: 30px;
    font-weight: 100;
}

.place-container .country{
    font-size: 12px;
    font-weight: 700;
}

.current-info .others{
    display: flex;
    flex-direction: column;
    background-color: rgba(24,24,27,0.6);
    padding: 20px;
    border-radius: 10px;
    margin: 10px 0;
    border: 1px solid #eee;
}

.current-info .others .weather-item{
    display: flex;
    justify-content: space-between;
}

.future-forecast{
    background-color: rgba(24,24,27,0.8);
    padding: 25px;
    position: fixed;
    bottom: 0;
    display: flex;
    color: white; 
    width: 100%;
    align-items: center;
    justify-content: center;
}
.future-forecast .weather-forecast{
    display: flex;
}

.future-forecast .today{
     display: flex;
     align-items: center;
     justify-content: center;
}
.future-forecast .today .day{
    padding: 5px 15px;
    background: #3c3c44;
    border-radius: 50px;
    text-align: center;
}

.future-forecast .today .temp{
    font-size: 20px;
}

.weather-forecast .weather-forecast-item{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 0 10px;
    border: 1px solid #eee;
    border-radius: 10px;
    padding: 15px;

}

.weather-forecast .weather-forecast-item .day{
    padding: 5px 15px;
    background: #3C3C44;
    border-radius: 50px;
    text-align: center;
}

.weather-forecast .weather-forecast-item .temp{
    font-weight: 100;

}

@media only screen and (max-width:1400px){
    .future-forecast{
        justify-content: start;
        align-items: none;
        overflow-y: scroll;
    }
}